{
  lib, pkgs, ...
}:
{
  # requires that flatpaks be enabled in the system configuration as well
  services.flatpak.enable = true;
  services.flatpak.update.auto.enable = false;
  services.flatpak.uninstallUnmanaged = false;

  services.flatpak.packages = [
    "com.github.tchx84.Flatseal"
    "com.spotify.Client"
    "io.podman_desktop.PodmanDesktop"
    "org.pipewire.Helvum"
    "im.riot.Riot"
    "com.valvesoftware.Steam"
    "org.prismlauncher.PrismLauncher"
  ];
}
